/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package nl.marcenschede.tests;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

/**
 *
 * @author marc
 */
@MessageDriven(mappedName = "jms/LotusReply", activationConfig = {
    @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
    @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue")
})
public class OrderManagerReturn implements MessageListener {
    
    public OrderManagerReturn() {
    }
    
    @Override
    public void onMessage(Message message) {
        try {
            TextMessage tm = (TextMessage)message;
            Logger.getLogger(OrderManagerReturn.class.getName()).log(Level.WARNING, "Result: " + tm.getText() + tm.getStringProperty("result"));
        } catch (JMSException ex) {
            Logger.getLogger(OrderManagerReturn.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
